" General settings
set mouse=a
set undofile
set textwidth=80
map Q <nop>

" Polyglot
let g:polyglot_disabled = ['sensible']

" Plugins
call plug#begin()
Plug 'ackyshake/vimcompletesme'      " Simple autocompletion
Plug 'ap/vim-css-color'              " Highlight css colors
Plug 'ctrlpvim/ctrlp.vim'            " Fuzzy file finding
Plug 'editorconfig/editorconfig-vim' " Follow editorconfig
Plug 'godlygeek/tabular'             " Line things up
Plug 'meain/hima-vim'                " Nice color scheme
Plug 'sheerun/vim-polyglot'          " Language pack
Plug 'tpope/vim-commentary'          " Easily comment
Plug 'tpope/vim-rsi'                 " Readline bindings
Plug 'tpope/vim-sensible'            " Sensible defaults
Plug 'tpope/vim-speeddating'         " Modify dates with C-a, C-x
Plug 'tpope/vim-surround'            " Easily modify sorrounding characters
call plug#end()

" Colorscheme
set termguicolors
colorscheme hima

" Easier split movement
nnoremap <C-j> <C-w><C-j>
nnoremap <C-k> <C-w><C-k>
nnoremap <C-l> <C-w><C-l>
nnoremap <C-h> <C-w><C-h>

" Clear search highlighting
nnoremap <silent> <C-c> :noh<CR>
